org.apache.fop.fonts

## Interface FontConfigurator<T>

- All Known Implementing Classes:
    DefaultFontConfigurator

      public interface FontConfigurator<T>

  An abstract FontInfo configurator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `configure(FontConfig fontInfoConfig)` Initializes font info settings from the user configuration

- - ### Method Detail

    - #### configure

          List<T> configure(FontConfig fontInfoConfig)
                     throws FOPException

      Initializes font info settings from the user configuration
      Returns:
        a font info list
      Throws:
        `FOPException` - if an exception occurs while processing the configuration

Copyright © 2023 Apache Software Foundation. All rights reserved.